/* debug.h
   used to print debug messages out the SCI port
   
   conditionally compiled
*/

#ifndef HEADER_DEBUG
#define HEADER_DEBUG

#include "sci.h"


#define DEBUGGING

#ifdef DEBUGGING
// in debug mode

#define DEBUG(x) SCI_OutString(1, x);

#else
// not in debug mode

#define DEBUG(x)

#endif


#endif